# WOK
TKWOK
WOKBuilder

# WOKBuilder_HSequenceOfToolInShell Class Reference

`#include <WOKBuilder_HSequenceOfToolInShell.hxx>`

## Public Member Functions

| WOKBuilder_HSequenceOfToolInShell ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKBuilder_ToolInShell)&anItem)
Standard_EXPORT void | Append (const Handle(WOKBuilder_HSequenceOfToolInShell)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKBuilder_ToolInShell)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKBuilder_HSequenceOfToolInShell)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKBuilder_ToolInShell)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfToolInShell)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKBuilder_ToolInShell)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfToolInShell)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKBuilder_ToolInShell)&anItem)
Standard_EXPORT const Handle_WOKBuilder_ToolInShell & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKBuilder_ToolInShell & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKBuilder_SequenceOfToolInShell & | Sequence () const
WOKBuilder_SequenceOfToolInShell & | ChangeSequence ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKBuilder_SequenceOfToolInShell | mySequence

## Constructor & Destructor Documentation

WOKBuilder_HSequenceOfToolInShell::WOKBuilder_HSequenceOfToolInShell | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Append | ( | const Handle(WOKBuilder_HSequenceOfToolInShell)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Append | ( | const Handle(WOKBuilder_ToolInShell)& | anItem | ) |

WOKBuilder_SequenceOfToolInShell& WOKBuilder_HSequenceOfToolInShell::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKBuilder_ToolInShell& WOKBuilder_HSequenceOfToolInShell::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Clear | ( |  | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKBuilder_HSequenceOfToolInShell::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfToolInShell)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_ToolInShell)& | anItem
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfToolInShell)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_ToolInShell)& | anItem
| ) |

Standard_Boolean WOKBuilder_HSequenceOfToolInShell::IsEmpty | ( |  | ) | const

Standard_Integer WOKBuilder_HSequenceOfToolInShell::Length | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Prepend | ( | const Handle(WOKBuilder_HSequenceOfToolInShell)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Prepend | ( | const Handle(WOKBuilder_ToolInShell)& | anItem | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::Reverse | ( |  | ) |

const WOKBuilder_SequenceOfToolInShell& WOKBuilder_HSequenceOfToolInShell::Sequence | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfToolInShell::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_ToolInShell)& | anItem
| ) |

Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell WOKBuilder_HSequenceOfToolInShell::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell WOKBuilder_HSequenceOfToolInShell::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKBuilder_ToolInShell& WOKBuilder_HSequenceOfToolInShell::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKBuilder_SequenceOfToolInShell WOKBuilder_HSequenceOfToolInShell::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_HSequenceOfToolInShell.hxx